<?php
class mail_model extends AmysqlModel {
	public function select($where) {
		$sql = "SELECT password, email
	    FROM `authme`
	    WHERE `username` = '" . $where . "'
	    LIMIT 0 , 75";
		return $this->_all ( $sql );
	}
	public function mail($mail, $verify, $user) {
		$data = array (
				"address" => $mail,
				"verify" => $verify,
				"statu" => '1',
				"time" => date ( "Y-m-d" ) 
		);
		// var_dump($data);
		$num = $this->_update ( 'mail', $data, "where user='" . $user . "'" );
		// var_dump($num);
		if ($num == 0) {
			return false;
		} else {
			return true;
		}
	}
	public function status($user) {
		$sql = "SELECT *
	  FROM `mail`
	  WHERE `user` = '" . $user . "'
	  LIMIT 0 , 75";
		return $this->_all ( $sql );
	}
}
?>